package com.blzn.blefi.constants;

import java.util.UUID;

import blufi.ble.params.BlufiParameter;

public final class BleConstants {
    public static final String BLUFI_PREFIX = "602";

    public static final boolean DEFAULT_AUTO_CONNECT = false;

    public static final UUID UUID_SERVICE = BleUUIDParameter.UUID_SERVICE;
    public static final UUID UUID_WRITE_CHARACTERISTIC = BleUUIDParameter.UUID_WRITE_CHARACTERISTIC;
    public static final UUID UUID_NOTIFICATION_CHARACTERISTIC =
            BleUUIDParameter.UUID_NOTIFICATION_CHARACTERISTIC;

    public static final String KEY_BLE_DEVICE = "key_ble_device";

    public static final String KEY_CONFIGURE_PARAM = "configure_param";

    public static final int DEFAULT_MTU_LENGTH = 312;
    public static final int MIN_MTU_LENGTH = 15;
    public static final int MAX_MTU_LENGTH = 512;

}
