package com.blzn.blefi.constants;

import com.example.hellojni.BlufiApp;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

import blufi.ble.params.ServiceUuid;

public interface BleUUIDParameter {

    static Map<String, ServiceUuid> getUUID() {
        Map<String, ServiceUuid> mUuid = new HashMap<>();
        mUuid.put(SEVEN_UUID_SERVICE.toString(), new ServiceUuid().general(SEVEN_UUID_SERVICE, SEVEN_UUID_WRITE_CHARACTERISTIC, SEVEN_UUID_NOTIFICATION_CHARACTERISTIC));
        mUuid.put(Demo_Event_UUID_SERVICE.toString(), new ServiceUuid().general(Demo_Event_UUID_SERVICE, Demo_Event_UUID_WRITE_CHARACTERISTIC, Demo_Event_UUID_NOTIFICATION_CHARACTERISTIC));
        mUuid.put(FP_UUID_SERVICE.toString(), new ServiceUuid().general(FP_UUID_SERVICE, FP_UUID_WRITE_CHARACTERISTIC, FP_UUID_NOTIFICATION_CHARACTERISTIC));
        mUuid.put(UUID_SERVICE.toString(), new ServiceUuid().general(UUID_SERVICE, UUID_WRITE_CHARACTERISTIC, UUID_NOTIFICATION_CHARACTERISTIC));
        //add sp
        String s = String.valueOf(BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_SERVICE_UUID, UUID_SERVICE.toString()));
        if (BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_SERVICE_UUID, UUID_SERVICE.toString()) != null) {
            if (!BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_SERVICE_UUID, UUID_SERVICE.toString()).equals(UUID_SERVICE.toString())) {
                mUuid.put(UUID_SERVICE.toString(), new ServiceUuid().general(
                        UUID.fromString(String.valueOf(BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_SERVICE_UUID, UUID_SERVICE.toString()))),
                        UUID.fromString(String.valueOf(BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_WRITE_UUID, UUID_WRITE_CHARACTERISTIC.toString()))),
                        UUID.fromString(String.valueOf(BlufiApp.getInstance().settingsGet(SettingsConstants.SELECT_SETTINGS_KEY_READ_UUID, UUID_NOTIFICATION_CHARACTERISTIC.toString())))
                ));
            }
        }

        return mUuid;
    }

    public static
    //702
    UUID SEVEN_UUID_SERVICE = UUID.fromString("00070000-0745-4650-8d93-df59be2fc10a");
    UUID SEVEN_UUID_WRITE_CHARACTERISTIC = UUID.fromString("00070001-0745-4650-8d93-df59be2fc10a");
    UUID SEVEN_UUID_NOTIFICATION_CHARACTERISTIC = UUID.fromString("00070002-0745-4650-8d93-df59be2fc10a");

    //demo_event
    UUID Demo_Event_UUID_SERVICE = UUID.fromString("07af27a5-9c22-11ea-9afe-02fcdc4e7412");
    UUID Demo_Event_UUID_WRITE_CHARACTERISTIC = UUID.fromString("07af27a7-9c22-11ea-9afe-02fcdc4e7412");
    UUID Demo_Event_UUID_NOTIFICATION_CHARACTERISTIC = UUID.fromString("07af27a9-9c22-11ea-9afe-02fcdc4e7412");

    //FP_
    UUID FP_UUID_SERVICE = UUID.fromString("07af27a6-9c22-11ea-9afe-02fcdc4e7412");
    UUID FP_UUID_WRITE_CHARACTERISTIC = UUID.fromString("07af27a7-9c22-11ea-9afe-02fcdc4e7412");
    UUID FP_UUID_NOTIFICATION_CHARACTERISTIC = UUID.fromString("07af27a8-9c22-11ea-9afe-02fcdc4e7412");

    UUID UUID_SERVICE = UUID.fromString("0000ffff-0000-1000-8000-00805f9b34fb");
    UUID UUID_WRITE_CHARACTERISTIC = UUID.fromString("0000ff01-0000-1000-8000-00805f9b34fb");
    UUID UUID_NOTIFICATION_CHARACTERISTIC = UUID.fromString("0000ff02-0000-1000-8000-00805f9b34fb");
    //read service 未改名
}