package com.blzn.blefi.resultBean;

import java.io.Serializable;
import java.util.Locale;

public class WifiInfo implements Serializable {
    private String chan;
    private String bssid;
    private String rssi;
    private String auth;

    public String getChan() {
        return chan;
    }

    public void setChan(String chan) {
        this.chan = chan;
    }

    public String getBssid() {
        return bssid;
    }

    public void setBssid(String bssid) {
        this.bssid = bssid;
    }

    public int getRssi() {
        return Integer.parseInt(rssi);
    }

    public void setRssi(String rssi) {
        this.rssi = rssi;
    }

    private String ssid;

    public WifiInfo(String chan, String bssid, String rssi, String ssid) {
        this.chan = chan;
        this.bssid = bssid;
        this.rssi = rssi;
        this.ssid = ssid;
    }

    public String getSsid() {
        return ssid;
    }

    public void setSsid(String ssid) {
        this.ssid = ssid;
    }

    @Override
    public String toString() {
        return String.format(Locale.ENGLISH, ssid+bssid+rssi+chan);
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }
}
