package blufi.ble;

import blufi.ble.cb.BleIndicateCallback;
import blufi.ble.cb.BleNotifyCallback;
import blufi.ble.cb.BleReadCallback;
import blufi.ble.cb.BleWriteCallback;

public interface BleFuntions {

    void readCharacteristic(String uuid_service, String uuid_read, BleReadCallback callback);

    void writeCharacteristic(String uuid_service, String uuid_write, byte[] data,
                             BleWriteCallback bleWriteCallback);

    void destroyDetailCallback();

    void enableCharacteristicNotify(BleNotifyCallback callback, String uuid_service, String uuid_notify,
                                    boolean isNotify);

    boolean disenableCharacteristicNotify(String uuid_service, String uuid_notify, boolean isNotify);

    void enableCharacteristicIndicate(BleIndicateCallback callback, String uuid_service,
                                      String uuid_indicate);

    boolean disableCharacteristicIndicate(String uuid_service, String uuid_indicate, boolean b);

    void stopTask();
}
