package blufi.ble.params;

import java.util.UUID;

public class ServiceUuid {
    private UUID UUID_SERVICE = UUID.fromString("0000ffff-0000-1000-8000-00805f9b34fb");

    public UUID getUUID_SERVICE() {
        return UUID_SERVICE;
    }

    public void setUUID_SERVICE(UUID UUID_SERVICE) {
        this.UUID_SERVICE = UUID_SERVICE;
    }

    public UUID getUUID_WRITE_CHARACTERISTIC() {
        return UUID_WRITE_CHARACTERISTIC;
    }

    public void setUUID_WRITE_CHARACTERISTIC(UUID UUID_WRITE_CHARACTERISTIC) {
        this.UUID_WRITE_CHARACTERISTIC = UUID_WRITE_CHARACTERISTIC;
    }

    public UUID getUUID_NOTIFICATION_CHARACTERISTIC() {
        return UUID_NOTIFICATION_CHARACTERISTIC;
    }

    public void setUUID_NOTIFICATION_CHARACTERISTIC(UUID UUID_NOTIFICATION_CHARACTERISTIC) {
        this.UUID_NOTIFICATION_CHARACTERISTIC = UUID_NOTIFICATION_CHARACTERISTIC;
    }

    private UUID UUID_WRITE_CHARACTERISTIC = UUID.fromString("0000ff01-0000-1000-8000-00805f9b34fb");
    private UUID UUID_NOTIFICATION_CHARACTERISTIC = UUID.fromString("0000ff02-0000-1000-8000-00805f9b34fb");

    public ServiceUuid general(UUID UUID_SERVICE,UUID UUID_WRITE_CHARACTERISTIC,UUID UUID_NOTIFICATION_CHARACTERISTIC){
        ServiceUuid serviceUuid = new ServiceUuid();
        serviceUuid.setUUID_NOTIFICATION_CHARACTERISTIC(UUID_NOTIFICATION_CHARACTERISTIC);
        serviceUuid.setUUID_SERVICE(UUID_SERVICE);
        serviceUuid.setUUID_WRITE_CHARACTERISTIC(UUID_WRITE_CHARACTERISTIC);
        return serviceUuid;
    }
}
