package blufi.ble.utils;

public class ByteUtil {

    public static byte bitSet(byte dater, int num) {
        return (dater) |= (1 << (num));
    }

    public static byte bitClear(byte dater, int num) {
        return (dater) &= ~(1 << (num));
    }

    static int bitGet(byte dater, int num) {
        return (((dater) & (1 << (num))) >> num) == 1 ? 1 : 0;
    }

    public static int inBitSet(int dater, int num) {
        return (dater) |= (1 << (num));
    }

    static int bitClear(int dater, int num) {
        return (dater) &= ~(1 << (num));
    }

    public static int bitGet(int dater, int num) {
        return (((dater) & (1 << (num))) >> num) == 1 ? 1 : 0;
    }

    /**
     * Description: 负数byte转正int <BR>
     *
     * @param b
     * @return
     * @author dsn
     * @date 2018年12月29日 下午3:29:38
     * @version 1.0
     */
    public static Integer byteToInteger(Byte b) {
        if (b < 0) {
            return 0xff & b;
        } else {
            return (int) b;
        }

    }
}
